#define BYTE_ORDER BIG_ENDIAN
#define MACOS

#if		defined(__MACH__)
	// Mach-O build
#	define	__SCHAR_MAX__	255
#	define stricmp strcasecmp	// stricmp is not defined in Apple's bsd string.h

	// HACK ALERT! Since we need alloca to map to CodeWarrior's intrinsic function,
	// we have to prevent Apple's header from loading, then we have to redefine alloca.
	// In the future, it might make sense to replace the alloca calls from the
	// Small implementation, since it's a tricky, platform specific routine that
	// impedes portability.
#	define _ALLOCA_H_
#	undef	alloca
#	define	alloca(size)	__alloca(size)

	// Use the "curses" library to implement the console
///#	define	USE_CURSES

#	if !defined(USE_CURSES)
#		define	SUPPRESS_ECHO
#	endif
#else	// Mach-O build
	// CFM build
#	define main(argc, argv) _fmain(argc, argv)// Re-route "main" to our own SIOUX mangled version
#	include <alloca.h>	// for MSL support

	// Some misc Mac values not defined in the source
#	define CLK_TCK		1000000.0
#	define EOL_CHAR	'\r'
//#	define strdup(c) (char*)strdup(c)// Work around a casting problem with CW7
#endif	// Carbon CFM build
